<?php
/*
Fast Edit 1.0 - An "edit in place" tool with extended CMS capabilities (C) 2010 Beverley Hooton
(author website - http://fast-edit.co.uk/)

    Fast Edit is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

session_start();
if($_SESSION['username']) {
	require("pclzip.lib.php");
	$zipname = time().'page_archive.zip'; // add time prefix to zip name
	$zipfile = new PclZip($zipname);
	$v_list = $zipfile->create('_content/,_backup/,_keywords/,_descriptions/');
	if ($v_list == 0) {
		die ("Error: ".$zipfile->errorInfo(true));
		}
	header('Content-Description: File Transfer');
	header('Content-Type: application/octet-stream');
	header('Content-Disposition: attachment; filename='.$zipname);
	header('Content-Transfer-Encoding: binary');
	header('Expires: 0');
	header('Cache-Control: must-revalidate, post-check=0, pre-check=0');
	header('Pragma: public');
	header('Content-Length: '.filesize($zipname));
	ob_clean();
	flush();
	readfile($zipname);
	$archive = new PclZip($zipname);
	$v_list = $archive->delete();
	if ($v_list == 0) {
 		die("Error: ".$archive->errorInfo(true));
		}
	unlink($zipname);
	}

?>
