<?php 
/*
Fast Edit 1.0 - An "edit in place" tool with extended CMS capabilities (C) 2010 Beverley Hooton
(author website - http://fast-edit.co.uk/)

    Fast Edit is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

include('fast_edit_config.php');
include('fast_edit_functions.php');
include('tinymce/tinymce/jscripts/tiny_mce/plugins/tinybrowser/config_tinybrowser.php');

if ( $basepage != 'page_preview' ) {

if($_SESSION['username']) {
	$editfile = $_GET['editfile'];
	$data = file_get_contents($contentpage); // populate fast-edit textarea with content.txt page
	if ( (isset($_GET['action'])) && ($_GET['action']=='save') ) { // save changes to fast-edit textarea
		$editfile = $_POST['editfile'];
		if ( $editfile != '' ) {
			$content = $root.$editfile;
			} else {
			$content = $contentpage;
			}
		if ( file_exists($content) ) {
			$data = $_POST['fastedit'];
			$fp = fopen($content,'w');
			$data = stripslashes($data);
// Comment-out the line below to allow PHP to be used via the editor window
			$data = preg_replace(array('/<(\?|\%)\=?(php)?/', '/(\%|\?)>/'), array('',''), $data); // remove old-asp tags, php short-tags, php echo tags, and normal php tags
// Comment-out 	the line above to allow PHP to be used via the editor window
			fwrite($fp,$data);
			fclose($fp);
			}
		$results = array();
		$handler = opendir($root);
		list($title) = explode('--', $title); // find main page name
		while (false !== ($file = readdir($handler))) {
			if ($file != '.' && $file != '..' && $file != $title.'.txt') {
        			if(preg_match("/^(\b$title\b)/", $file)) { // check for files that start with main page name
            				$results[] = $file;
        				}
    				}
			}
		if (!empty($results)) {
			touch($root.$title.'.txt');
			foreach ($results as $contentsnippet_time) { 
				touch($root.$contentsnippet_time);
				}
			}
		closedir($handler);
		if (!preg_match('/^[[:space:]]*$/', $_POST['menu_alias'])) {
			$menu_alias_content = $menu_alias.$title.'.txt';
			$menu_alias_fp = fopen($menu_alias_content,'w');
			$menu_alias_data = $_POST['menu_alias'];
			$menu_alias_data = htmlentities(stripslashes(trim($menu_alias_data)), ENT_QUOTES, $charset);
			fwrite($menu_alias_fp,$menu_alias_data);
			fclose($menu_alias_fp);
			} else {
			@unlink($menu_alias.$title.'.txt');
			}
		if ( $use_metadata_manager == '1') {
			if (!preg_match('/^[[:space:]]*$/', $_POST['meta_keys'])) {
				if ( $title == 'index') { 		
					$meta_keys_content = $keywords.'_default_keywords.txt'; 
					} else {
					$meta_keys_content = $keywords.$title.'.txt'; 
					}
				$meta_keys_fp = fopen($meta_keys_content,'w');
				$meta_keys_data = $_POST['meta_keys'];
				$meta_keys_data = htmlentities(stripslashes(trim($meta_keys_data)), ENT_QUOTES, $charset);
				fwrite($meta_keys_fp,$meta_keys_data);
				fclose($meta_keys_fp);
				} else {
				@unlink($keywords.$title.'.txt');
				}
			if (!preg_match('/^[[:space:]]*$/', $_POST['meta_desc'])) {
				if ( $title == 'index') { 		
					$meta_desc_content = $descriptions.'_default_descriptions.txt'; 
					} else {
					$meta_desc_content = $descriptions.$title.'.txt'; 
					}
				$meta_desc_fp = fopen($meta_desc_content,'w');
				$meta_desc_data = $_POST['meta_desc'];
				$meta_desc_data = htmlentities(stripslashes(trim($meta_desc_data)), ENT_QUOTES, $charset);
				fwrite($meta_desc_fp,$meta_desc_data);
				fclose($meta_desc_fp);
				} else {
				@unlink($descriptions.$title.'.txt');
				}
			}
		echo "<div class=\"saving\">Saving changes...<br/><br/><img src=\"fast_edit/images/saving.gif\" height=\"32\" width=\"32\" alt=\"Please Wait\" /><br/><br/>please wait</div>";
		if ( $editfile != '' ) {
			echo "<meta http-equiv=\"refresh\" content=\"0; url=$basepage.php?action_edit=edit&editfile=$editfile#go_edit \">";
			} else {
			echo "<meta http-equiv=\"refresh\" content=\"0; url=$basepage.php#go_edit \">";
			}
		SiteMap($rooturl, $root, $siteurl, $xml, $changefreq, $page_exclude, $gmt_offset);
		exit();
		}

	if ( (isset($_GET['action'])) && ($_GET['action']=='create') ) { // create new web page
		if (empty($_POST['file_name'])) { // error message if no page title is entered
    			$no_title_message = "<div class='error'>No title entered for new web page.</div><br/>";
    			echo "<script>window.alert('Sorry, you must first enter a web page title to create a new web page.')</script>"; 
			} 		
		else if ( ($_POST['file_name']=='index')||($_POST['file_name']=='Index') ) { // error message if "index" is used	
    			$no_title_message = "<div class='error'>\"Index\" name is in use (it's your home page!). Choose a different name for your new web page.</div><br/>";
    			echo "<script>window.alert('Sorry, you must must use a different name for your new web page.')</script>";
			} 
		else if ( ($_POST['file_name']=='page preview')||($_POST['file_name']=='page_preview')||($_POST['file_name']=='page-preview')||($_POST['file_name']=='Page Preview')||($_POST['file_name']=='Page_Preview')||($_POST['file_name']=='Page-Preview') ) { // error message if "page preview" is used	
    			$no_title_message = "<div class='error'>\"Page Preview\" name is in use. Choose a different name for your new web page.</div><br/>";
    			echo "<script>window.alert('Sorry, you must must use a different name for your new web page.')</script>"; 
			} else {
			$page_title = $_POST['file_name'];
			$page_url = $_POST['url_name'];
			$base_file_name = str_replace(array('--', ' '), $separator, strtolower( strip_tags( preg_replace('/[^a-zA-Z0-9\s\-\_]/', '', ($_POST['file_name'])) ) )); // create base.php page
			$base_file = $rooturl.$base_file_name.'.php'; 
			$page_protect = array_merge($page_protect, $page_exclude);
			if (!in_array($base_file_name.'.php', $page_protect)) { // exclude protected pages
				if (!empty($_POST['url_name']) && ($_POST['url_name'] != " e.g.  http://www.website.com ") ) {
					$create_base_file = fopen($base_file, 'w+'); // start content to write to base.php page
					fwrite($create_base_file, "<?php header('Location: $page_url'); exit();?>"); // end content to write to base.php page
					fclose($create_base_file);
					echo "<div class=\"saving\">Creating button link...<br/><br/><img src=\"fast_edit/images/saving.gif\" height=\"32\" width=\"32\" alt=\"Please Wait\" /><br/><br/>please wait</div>";
					echo "<meta http-equiv=\"refresh\" content=\"0; url=$basepage.php \">";
					} else {
					$create_base_file = fopen($base_file, 'w+'); // start content to write to base.php page
					fwrite($create_base_file, "<?php include('includes/header.html');?>
						<div class=\"editable\">
							<?php include(\$contentpage);?>
						</div>
					<?php include('includes/footer.html');?>"); // end content to write to base.php page
					fclose($create_base_file);
					$content_file_name = str_replace(array('--', ' '), $separator, strtolower( strip_tags( preg_replace('/[^a-zA-Z0-9\s\-\_]/', '', ($_POST['file_name'])) ) )); // create content.txt page
					$content_file = $root.$content_file_name.'.txt';
					if (!file_exists($content_file)) {
			  			$create_content_file = fopen($content_file, 'w+');
						fwrite($create_content_file, "<h1 class='title'>$page_title</h1><p>This page is currently under construction.</p>"); // content to write to content.txt page
						fclose($create_content_file);
						}
					setcookie('.editor', 'open');
					echo "<div class=\"saving\">Creating new page...<br/><br/><img src=\"fast_edit/images/saving.gif\" height=\"32\" width=\"32\" alt=\"Please Wait\" /><br/><br/>please wait</div>";
					echo "<meta http-equiv=\"refresh\" content=\"0; url=$base_file_name.php \">";
					}
				}
			SiteMap($rooturl, $root, $siteurl, $xml, $changefreq, $page_exclude, $gmt_offset);
			exit();
			}
		}

	if ($use_template_manager == '1') {
		$template_data=file_get_contents('fast_edit/editable_site_styles.css'); // populate template-manager textarea with editable_site_styles.css page
		if( (isset($_POST['submit_template'])=='Save Template Changes') || ( (isset($_GET['action'])) && ($_GET['action']=='save_template') ) ) { // save changes to template-manager textarea
			$template_content = 'fast_edit/editable_site_styles.css';
			$template_data = $_POST['template'];
			$template_fp = fopen($template_content,'w');
			$template_data = stripslashes($template_data);
			$template_data = preg_replace(array('/<(\?|\%)\=?(php)?/', '/(\%|\?)>/'), array('',''), $template_data); // remove old-asp tags, php short-tags, php echo tags, and normal php tags
			fwrite($template_fp,$template_data);
			fclose($template_fp);
			echo "<div class=\"saving\">Saving changes...<br/><br/><img src=\"fast_edit/images/saving.gif\" height=\"32\" width=\"32\" alt=\"Please Wait\" /><br/><br/>please wait</div>";
			echo "<meta http-equiv=\"refresh\" content=\"0; url=$basepage.php \">";
			exit();
			}

		$template = (isset($_GET['template'])) ? $_GET['template'] : '';
		switch($template) {
				case 'backup_template':
			$backupfile_template = $_GET['backupfile_template'];
			copy('fast_edit/editable_site_styles.css', $rootbackup.'editable_site_styles.css');
			copy('fast_edit/editable_site_styles.css', $rootbackup.'editable_site_styles.txt');
			$url_backup_template = $basepage.'.php';
			break;
				case 'restore_template':
			$restorefile_template = $_GET['restorefile_template'];
			copy($rootbackup.'editable_site_styles.css', 'fast_edit/editable_site_styles.css');
			echo "<div class=\"saving\">Restoring backup...<br/><br/><img src=\"fast_edit/images/saving.gif\" height=\"32\" width=\"32\" alt=\"Please Wait\" /><br/><br/>please wait</div>";
			echo "<meta http-equiv=\"refresh\" content=\"0; url=$basepage.php \">";
			exit();
			break;
				default:
			break;
			}
		}

	$action_edit = (isset($_GET['action_edit'])) ? $_GET['action_edit'] : '';
	$editfile = $_GET['editfile'];
	if ( $editfile != '' ) {
		$basepage_edit = substr($editfile, 0, strpos($editfile, '.'));
		$contentpage_edit = $root.$basepage_edit.'.txt';
		$data = file_get_contents($contentpage_edit);
		}
?>


<!-- Preload saving icon -->
<div id="saving-icon"></div>

<div class="fast-edit-outer"><div class="fast-edit-container">
	<form id="formeditor1" name="formeditor1" method="post" action="<?php echo $_SERVER['PHP_SELF'];?>?action=save">
	Welcome back&nbsp;<?php echo $_SESSION["username"];?>&nbsp;&nbsp;|&nbsp;&nbsp;
	Fast&nbsp;Edit:&nbsp;<span title="Fast Edit" class="edit"></span><span title="Fast Edit" class="close-edit"></span>&nbsp;&nbsp;|&nbsp;&nbsp;
	File&nbsp;Manager:&nbsp;<span title="File Manager" class="file-manager"></span><span title="File Manager" class="close-file-manager"></span>&nbsp;&nbsp;|&nbsp;&nbsp;
	<?php if ($use_template_manager == '1') { echo 'Template Manager:&nbsp;<span title="Template Manager" class="template-manager"></span><span title="Template Manager" class="close-template-manager"></span>&nbsp;&nbsp;|&nbsp;&nbsp;'; } ;?>
	Page&nbsp;Manager:&nbsp;<span title="Page Manager" class="page-manager"></span><span title="Page Manager" class="close-page-manager"></span>&nbsp;&nbsp;|&nbsp;&nbsp;
	Logout&nbsp;<?php echo $_SESSION['username'];?>:&nbsp;<a href="?action=logout"><span title="Logout <?php echo $_SESSION['username'];?>" class="logout"></span></a>
	<a href="" id="go_edit" class="close-edit x" title="Close Fast Edit">X</a><br/>
	<?php 
	$last_modified = filemtime($contentpage);
	echo "<div class='last-updated'>This page was last updated at ".gmdate("h:ia, F jS\, Y", ($last_modified+($gmt_offset*3600)))."</div>";
	echo "<input type='hidden' id='editfile' name='editfile' value='$editfile' />";
	?>
		<div class="editor">
			<?php if ( ($ass_user != '0') && (!in_array($basepage.'.php', $ass_pages)) ) { ?>
				<div class="error">Sorry, you do not have permission to edit this web page.</div> 
			<?php } else { ?>
				<?php listSnippets($root, $title, $menu_alias, $dynamic_title, $editfile);?>
				<textarea name="fastedit" cols="80" rows="10"><?php echo $data ?></textarea>
			<?php } ?> 
			<?php if ($adv_page_manager == '1') { ?>
				<div class="alias-manager-container">
					<?php if ( $title != 'index') { ?>
					<div class="alias-manager-bg">
						<span class="alias-manager-bar clear">
						<?php
						echo "<div class=\"alias-text\">Menu Alias: </div><div class='alias-textarea-div'><input type='text' class='alias-textarea' name='menu_alias' size='30' value='$alias'/> &nbsp;<span class='alias-span'>(Custom formatted menu button text)</span></div>";
						?>
						</span>
					</div>
					<?php } ?>
					<?php if ( $use_metadata_manager == '1') { ?>
					<div class="alias-manager-bg">
						<span class="meta-manager-bar">
						<?php
						if ( $title == 'index') { 
							$keys = file_get_contents($keywords.'_default_keywords.txt'); 
							$descs = file_get_contents($descriptions.'_default_descriptions.txt');
							$default = 'Default '; 
							$meta_text_no = '<span class="meta_text_red">Please enter default keywords and description.</a>';
							$meta_text_yes = '<span class="meta_text_green">Default keywords and description are in use.</a>';
							} else {
							$default = 'Custom '; 
							}
						if ( ($keys == '') || ($descs == '') ) {
							$meta_text = '<span class="meta_text_red">Home page defaults will be used if left empty.</a>'; 
							} else {
							$meta_text = '<span class="meta_text_green">Custom keywords and description are in use.</a>'; 
							}
						if ( $keys == '' ) {
							$meta_border_keys = 'meta_border_red';
							if ( $title == 'index') { 
								$meta_text = $meta_text_no;
								}
							} else {
							$meta_border_keys = 'meta_border_green';
							if ( $title == 'index') { 
								$meta_text = $meta_text_yes;
								}
							}
						if ( $descs == '' ) {
							$meta_border_desc = 'meta_border_red';
							if ( $title == 'index') { 
								$meta_text = $meta_text_no;
								}
							} else {
							$meta_border_desc = 'meta_border_green';
							if ( $title == 'index') { 
								$meta_text = $meta_text_yes;
								}
							}	
						echo "<div class=\"meta-container clear\">";
						echo "<div class=\"meta-info-outer\">&nbsp; Metadata Manager: <span title='Metadata Manager'class='meta'></span><br/><div class=\"meta-info\">Enter keywords and a description for your web page to help people find it via search engines.<br/><br/>$meta_text</div></div>";
						echo "<div class=\"meta-keys-outer\">&nbsp; $default Keywords: <span style='font-size:8pt;'>(Separate with commas)</span><br/><textarea name='meta_keys' class='$meta_border_keys meta-keys' cols='50' rows='3'>$keys</textarea></div>";
						echo "<div class=\"meta-desc-outer\">&nbsp; $default Description: <br/><textarea name='meta_desc' class='$meta_border_desc meta-desc' cols='50' rows='3'>$descs</textarea></div>";
						echo "</div>";
						?>
						</span>
					</div>
					<?php } ?>
				</div>
			<?php } ?>
		</div>
	</form>


<div class="file-manager-container">
	<span class="heading">File Manager&nbsp;&nbsp;(manage your website resources)</span>
	<a href="" class="close-file-manager" title="Close File Manager">X</a><br style="clear:both"/>

	<?php if ($tinybrowser['allowupload'] == true) { 
		if ( $quota != '0' ) {
			echo '<div class="quota">';
			$bytestotal = GetFolderSize($rooturl.'userfiles');
			$percent = number_format(($bytestotal/$quota*100), 2, '.', '');
			echo "Space Quota: <b>".ByteSize($quota)."</b> &nbsp;|&nbsp; ";
			echo "Space Used: <b>".ByteSize(GetFolderSize($rooturl.'userfiles'))."</b> (".$percent."%) &nbsp; ";
			echo "<img src='".$siteurl."fast_edit/images/graph.php?per=$percent' alt='$percent graph' />";
			echo '&nbsp; | &nbsp;Refresh Values: <a href="'.$_SERVER['REQUEST_URI'].'" title="Refresh Values"><span class="refresh"></span></a>';
			echo '&nbsp; | &nbsp;Browse Userfiles: <a href="'.$siteurl.'fast_edit/tinymce/tinymce/jscripts/tiny_mce/plugins/tinybrowser/tinybrowser_filebrowser.php?type=image&folder=&feid=img" title="Browse Userfiles" target="_blank"><span class="browse"></span></a>';
			if ( $bytestotal >= ($quota/100*95) && $bytestotal <= $quota ) {
				echo '<div class="file-manager-quota-info">You have used <b>'.$percent.'%</b> of your maximum space quota. You can upload <b>'.ByteSize($quota-$bytestotal).'</b> more in resources before the File Manager&#39;s upload function is disabled.</div>';
 				}
			if ( $bytestotal >= $quota ) {
				echo '<div class="file-manager-error">You have reached your maximum space quota of <b>'.ByteSize($quota).'</b>. If you need more space, please consider deleting old or unwanted resources.</div>';
				}
			echo "</div>";
	 		} 
		}
	if ($tinybrowser['allowupload'] == false) { echo "<br/>"; }
	if ( $quota == '0' ) { echo "<br/>"; } 
	?>

	<table>
	   <tr>
		<td class="right">Manage&nbsp;Images:</td>
		<td style="padding:0"><a href="" onclick="javascript:tinyBrowserPopUp('image','img'); return false;" title="Manage Images"><span class='images'></span></a></td>
		<td><span class="last-updated">(Upload size limit = <?php echo ByteSize($tinybrowser['maxsize']['image']);?>. Allowed file types = <?php echo $tinybrowser['filetype']['image'];?>)</span></td>
	   </tr>
	   <tr>
		<td class="right">Manage&nbsp;Documents:</td>
		<td style="padding:0"><a href="" onclick="javascript:tinyBrowserPopUp('file','img'); return false;" title="Manage Documents"><span class='docs'></span></a></td>
		<td><span class="last-updated">(Upload size limit = <?php echo ByteSize($tinybrowser['maxsize']['file']);?>. Allowed file types = <?php echo $tinybrowser['filetype']['file'];?>)</span></td>
	   </tr>
	   <tr>
		<td class="right">Manage&nbsp;Media:</td>
		<td style="padding:0"><a href="" onclick="javascript:tinyBrowserPopUp('media','img'); return false;" title="Manage Media"><span class='media'></span></a></td>
		<td><span class="last-updated">(Upload size limit = <?php echo ByteSize($tinybrowser['maxsize']['media']);?>. Allowed file types = <?php echo $tinybrowser['filetype']['media'];?>)</span></td>
	   </tr>
	</table>
		
	<div class="file-manager-more">
		<span class="file-manager-more-img" title="More Info"></span> More information
	</div>
	<div class="file-manager-info clear">
		<ul class="left-list">
		<li>While using the File Manager you can perform the following actions;</li>
			<ul>
			<?php if ($tinybrowser['allowupload'] == true) { echo '<li>Upload the file types specified above</li>'; } ;?>
			<?php if ($tinybrowser['allowdelete'] == true) { echo '<li>Delete and move your uploaded files</li>'; } ;?>
			<?php if ($tinybrowser['allowfolders'] == true) { echo '<li>Create, delete and rename folders to order your content</li>'; } ;?>
			</ul>
		</ul>

		<ul class="right-list">
		<li>While using the File Browser you can view and manage your userfiles;</li>
			<ul>
			<li>Browse file/media details, such as size, type, date and path</li>
			<li>Browse images in either a thumbnail-grid or details-list view</li>
			<li>Download individual resources or select all for bulk retrieval</li>
			</ul>
		</ul>
	</div>
</div>


<?php if ($use_template_manager == '1') { ?>
	<div class="template-manager-container">
		<div class="template-manager-container-inner">
			<span class="heading">Template Manager&nbsp;&nbsp;(manage your custom CSS styles)</span>
			<a href="" class="close-template-manager" title="Close Template Manager">X</a><br/><br/>
			<form id="template-manager" name="template-manager" method="post" action="<?php echo $_SERVER['PHP_SELF'];?>?action=save_template">
				<div class="template-manager-bg">
					<span class="template-manager-bar">
					Save Changes: <input type="submit" name="submit_template" title="Save Template Changes" value="" class="save-template" /> &nbsp;|&nbsp; 
					Backup: <a href='javascript:confirmBackupTemplate("<?php echo $_SERVER['PHP_SELF'];?>?template=backup_template&backupfile_template")' title='Backup Template'><span class='backup'></span></a> &nbsp;|&nbsp; 
					Preview Backup: <a href='<?php echo $siteurl?>fast_edit/_backup/editable_site_styles.txt' target='_blank' title='Preview Template Backup (new window)'><span class='preview'></span></a> &nbsp;|&nbsp; 
					Restore: <a href='javascript:confirmRestoreTemplate("<?php echo $_SERVER['PHP_SELF'];?>?template=restore_template&restorefile_template")' title='Restore Template Backup'><span class='restore'></span></a>
					</span>
					<div class="templatemanager">
						<textarea name="template" cols="80" rows="10"><?php echo $template_data ?></textarea> 
					</div>
				</div>
			</form>
		</div>
		<div class="template-manager-more">
			<span class="template-manager-more-img" title="More Info"></span>
			Tip: Depending on your browser, if your saved template changes do not immediately show, please do a hard-refresh (CTRL+F5) to reload the updates.
		</div>
	</div>
<?php } ?>


	<div class="page-manager-container">
		<span class="heading">Page Manager&nbsp;&nbsp;(manage the pages of your website)</span>
		<a href="" class="close-page-manager" title="Close Page Manager">X</a><br style="clear:both"/>

<?php if ($_GET['action'] != 'alias') { 

	$FolderPath = $root; // _content pages may not equal $page_exclude array base pages
	$filecount = filecount($FolderPath); // count _content pages
	$i = 0; // check for corresponding content file with $page_exclude array base pages
	foreach ($page_exclude as $content_check) {
		$content_check = substr($content_check,0,strrpos($content_check,'.'));
		if (!file_exists($root.$content_check.'.txt')) {
			$i++; // for each _content pages that doesnt exist, increment $i by 1
			}
		}

	$results = array();
	$handler = opendir($root);
	while (false !== ($file = readdir($handler))) {
		if ($file != '.' && $file != '..') {
            		$results[] = $file;
    			}
		}
	foreach ($results as $value) { 
        	if(preg_match("/(\b--\b)/", $value)) { // check for files that contain '--'
			$parent_check = substr($value,0,strrpos($value,'.'));
			if (!file_exists($rooturl.$parent_check.'.php')) { // no matching parent page = snippet
				$i--; // remove snippets from page count
				}
			}
		}
	closedir($handler);

	$minus_exc = count($page_exclude); // count base pages in $page_exclude array
	$filecount = ($filecount - $minus_exc + $i); // add missing content file increment to correct $filecount
	$pages_left = ($page_count - $filecount);
	if ($adv_page_manager == '1') { 
		if ( ($filecount <= ($page_count - 1)) && ($page_count != 0 ) ) {
			echo '<div class="page-manager-info">You have used <b>'.$filecount.'</b> of <b>'.$page_count.'</b> pages from your maximum web page quota. You can create <b>'.$pages_left.'</b> more page(s) before the New Page creation form below is disabled.</div>';
 			}
		if ( ($filecount <= ($page_count - 1)) || ($page_count == 0 ) ) {
		?>
		<form id="page-creator" name="page-creator" method="post" action="<?php echo $_SERVER['PHP_SELF'];?>?action=create">
			<?php echo $no_title_message;?>
			Title of New Page: <input type="text" name="file_name" size="30" class="create" /> &nbsp;
			Optional URL: <input type="text" id="url" name="url_name" size="30" class="create" value=" e.g.  http://www.website.com " title="Enter a web address to create a menu button that links directly to an external website / file" /> &nbsp;
			Create New Page: <input type="submit" name="submit_create" value="" title="Create" />
			<?php if ($menu_sort == '1') { 
				echo '<span class="last-updated sort">(New pages automatically appear in the menu, sorted alphabetically by page title)</span>';
				} else {
				echo '<span class="last-updated sort">(New pages automatically appear in the menu, arranged manually)</span>';
				} 
			?>
		</form>
		<?php 	} 
		if ( $filecount == $page_count ) {
			echo '<div class="page-manager-error">You have reached your maximum web page allowance of <b>'.$page_count.'</b> pages. If you need more pages, please delete old or unwanted ones.</div>';
			}
		if ( $filecount >= $page_count ) {
			if ($page_count != '0') {
				echo '<br/>';
				}
			}
		} 

	if ($adv_page_manager == '0') { echo '<br/>'; }; 

	}
 
	if($_SESSION['username']) {
		$action = (isset($_GET['action'])) ? $_GET['action'] : '';
		switch($action) {
				case 'delete':
			if ($adv_page_manager == '1') {
				$delfile = $_GET['delfile'];
				$basepage_del = substr($delfile, 0, strpos($delfile, '.'));
				$contentpage_del = $basepage_del.'.txt';
				$page_protect = array_merge($page_protect, $page_exclude);
				if ( (!in_array($delfile, $page_protect)) && $delfile != 'index.php') { // exclude protected pages
					if ( fileAllowed($root, $contentpage_del) ) {
						@unlink($rooturl.$delfile); 
						@unlink($root.$contentpage_del);
						@unlink($rootbackup.$contentpage_del);
						@unlink($menu_status.$contentpage_del);
						@unlink($menu_alias.$contentpage_del);
						@unlink($keywords.$contentpage_del);
						@unlink($descriptions.$contentpage_del);
						$results = array();
						$handler = opendir($root);
						while (false !== ($file = readdir($handler))) {
							if ($file != '.' && $file != '..') {
        							if(preg_match("/^(\b$basepage_del\b)/", $file)) { // check for files that start with main page name
            								$results[] = $file;
        								}
    								}
							}
						if (!empty($results)) {
							foreach ($results as $contentsnippet_del) { 
								@unlink($root.$contentsnippet_del);
								@unlink($rootbackup.$contentsnippet_del);
								}
							}
						closedir($handler);
						}
					}
				SiteMap($rooturl, $root, $siteurl, $xml, $changefreq, $page_exclude, $gmt_offset);
				if ( $basepage == $basepage_del ) {
					$url_del = 'index.php'; 
					} else {
					$url_del = $basepage.'.php'; 
					}
				echo "<div class=\"saving\">Deleting page...<br/><br/><img src=\"fast_edit/images/saving.gif\" height=\"32\" width=\"32\" alt=\"Please Wait\" /><br/><br/>please wait</div>";
				echo "<meta http-equiv=\"refresh\" content=\"0; url=$url_del \">";
				exit();
				}
			break;
				case 'hide':
			if ($adv_page_manager == '1') {
				$hidefile = $_GET['hidefile'];
				$basepage_hide = substr($hidefile, 0, strpos($hidefile, '.'));
				$contentpage_hide = $basepage_hide.'.txt'; 
				if ( $hidefile != 'index.php' ) {
					$fp = fopen($menu_status.$contentpage_hide, 'w');
					fwrite($fp, "hidden");
					fclose($fp);
					}
				echo "<div class=\"saving\">Updating menu status...<br/><br/><img src=\"fast_edit/images/saving.gif\" height=\"32\" width=\"32\" alt=\"Please Wait\" /><br/><br/>please wait</div>";
				echo "<meta http-equiv=\"refresh\" content=\"0; url=$basepage.php \">";
				exit();
				}
			break;
				case 'unhide':
			if ($adv_page_manager == '1') {
				$unhidefile = $_GET['unhidefile'];
				$basepage_unhide = substr($unhidefile, 0, strpos($unhidefile, '.'));
				$contentpage_unhide = $basepage_unhide.'.txt'; 
				unlink($menu_status.$contentpage_unhide);
				echo "<div class=\"saving\">Updating menu status...<br/><br/><img src=\"fast_edit/images/saving.gif\" height=\"32\" width=\"32\" alt=\"Please Wait\" /><br/><br/>please wait</div>";
				echo "<meta http-equiv=\"refresh\" content=\"0; url=$basepage.php \">";
				exit();
				}
			break;
				case 'order':
			if ($adv_page_manager == '1') {
				$orderfile = $_GET['orderfile'];
				copy($rooturl.$orderfile, $root.$orderfile);
				copy($root.$orderfile, $rooturl.$orderfile);
				unlink($root.$orderfile);
				echo "<div class=\"saving\">Updating menu order...<br/><br/><img src=\"fast_edit/images/saving.gif\" height=\"32\" width=\"32\" alt=\"Please Wait\" /><br/><br/>please wait</div>";
				echo "<meta http-equiv=\"refresh\" content=\"0; url=$basepage.php \">";
				exit();
				}
			break;
				case 'backup':
			$backupfile = $_GET['backupfile'];
			$basepage_backup = substr($backupfile, 0, strpos($backupfile, '.'));
			$contentpage_backup = $basepage_backup.'.txt'; 
			copy($root.$contentpage_backup, $rootbackup.$contentpage_backup);
			$results = array();
			$handler = opendir($root);
			while (false !== ($file = readdir($handler))) {
				if ($file != '.' && $file != '..') {
        				if(preg_match("/^(\b$basepage_backup\b)/", $file)) { // check for files that start with main page name
            					$results[] = $file;
        					}
    					}
				}
			if (!empty($results)) {
				foreach ($results as $contentsnippet_backup) { 
					@copy($root.$contentsnippet_backup, $rootbackup.$contentsnippet_backup);
					}
				}
			closedir($handler);
			echo "<div class=\"saving\">Creating backup...<br/><br/><img src=\"fast_edit/images/saving.gif\" height=\"32\" width=\"32\" alt=\"Please Wait\" /><br/><br/>please wait</div>";
			echo "<meta http-equiv=\"refresh\" content=\"0; url=$basepage.php \">";
			exit();
			break;
				case 'restore':
			$restorefile = $_GET['restorefile'];
			$basepage_restore = substr($restorefile, 0, strpos($restorefile, '.'));
			$contentpage_restore = $basepage_restore.'.txt'; 
			copy($rootbackup.$contentpage_restore, $root.$contentpage_restore);
			$results = array();
			$handler = opendir($root);
			while (false !== ($file = readdir($handler))) {
				if ($file != '.' && $file != '..') {
        				if(preg_match("/^(\b$basepage_restore\b)/", $file)) { // check for files that start with main page name
            					$results[] = $file;
        					}
    					}
				}
			if (!empty($results)) {
				foreach ($results as $contentsnippet_restore) { 
					@copy($rootbackup.$contentsnippet_restore, $root.$contentsnippet_restore);
					}
				}
			closedir($handler);
			echo "<div class=\"saving\">Restoring backup...<br/><br/><img src=\"fast_edit/images/saving.gif\" height=\"32\" width=\"32\" alt=\"Please Wait\" /><br/><br/>please wait</div>";
			echo "<meta http-equiv=\"refresh\" content=\"0; url=$basepage.php \">";
			exit();
			break;
				case 'alias':
			if ($adv_page_manager == '1') { 
				$alias_file = $_GET['aliasfile'];
				$title = substr($aliasfile, 0, strpos($aliasfile, '.')); // strip the .php extension
				$title1 = str_replace(array('-and-','_and_'), ' & ', $title); // convert 'and' to '&'
				$title2 = str_replace(array('-','_'), ' ', strtolower($title1)); // convert name to lowercase and replace hyphens/underscores with space
				$dynamic_title = ucwords($title2); // capitalize first letter
				$aliasfile = file_get_contents($menu_alias.$title.'.txt'); // populate alias text field
				if (!in_array($aliasfile, $page_protect)) // exclude protected pages
					{
					echo '<br/><div class="alias-manager-bg"><span class="alias-manager-bar-single">';
					echo "<form id='page-alias' name='page-alias' method='post' action='".$_SERVER['PHP_SELF']."?action=alias_go'>";
					echo "<input type='hidden' id='alias_name' name='alias_name' value='$alias_file' />";
					echo "<div class='alias-text'>Menu Alias for \"<b>$dynamic_title</b>\" link button: </div> <div class='alias-textarea-div'><input type='text' class='alias-textarea' name='menu_alias' size='30' value='$aliasfile' />  &nbsp;<span class='alias-span'>(Custom formatted menu button text)</span></div>";
					echo "<input type='submit' id='submit_alias_go' name='submit_alias_go' value='' title='Save Alias' class='save' /> &nbsp;|&nbsp; ";
					echo "<a href='$basepage.php' title='Cancel'><span class='delete'></span></a>";
					echo "</form>";
					echo "</span></div>";
					}
				}
			break;
				case 'alias_go':
			if ($adv_page_manager == '1') { 
				$aliasname = $_POST['alias_name'];
				$basepage_alias = substr($aliasname, 0, strpos($aliasname, '.'));  // current base page name (without .php ext)
				if (!preg_match('/^[[:space:]]*$/', $_POST['menu_alias'])) {
					$menu_alias_data = $_POST['menu_alias'];
					$menu_alias_content = $menu_alias.$basepage_alias.'.txt';
					$menu_alias_fp = fopen($menu_alias_content,'w');
					$menu_alias_data = htmlentities(stripslashes(trim($menu_alias_data)), ENT_QUOTES, $charset);
					fwrite($menu_alias_fp,$menu_alias_data);
					fclose($menu_alias_fp);
					} else {
					$menu_alias_data = $_POST['menu_alias'];
					@unlink($menu_alias.$basepage_alias.'.txt');
					}
				echo "<div class=\"saving\">Saving menu alias...<br/><br/><img src=\"fast_edit/images/saving.gif\" height=\"32\" width=\"32\" alt=\"Please Wait\" /><br/><br/>please wait</div>";
				echo "<meta http-equiv=\"refresh\" content=\"0; url=$basepage.php \">";
				exit();
				}
			break;
				default:
			$dir = opendir($rooturl); 
			while (false !== ($page = readdir($dir))) {
				if (strpos($page, '.php',1)) { 
					if ( ($ass_user != '0') && (!in_array($page, $ass_pages)) ) { // hide pages not assigned to user
						$hidefile = $page; 
						}
					if ( ($page!='..') && ($page!='.') && ($page!=$hidefile) && ($page!='index.php') && ($page!='page_preview.php') && ($page!='_site_admin.php') ) { // add .php files to exclude from page manager as required
						if (!in_array($page, $page_exclude)) {

							// dynamic auto title script 
							$title = substr($page,0,strrpos($page,'.')); // strip the .php extension
							$title1 = str_replace(array('-and-','_and_'), ' & ', $title); // convert 'and' to &
							$title2 = str_replace(array('-','_'), ' ', strtolower($title1)); // convert name to lowercase and replace hyphens/underscores with space
							$dynamic_title = ucwords($title2); // capitalize first letter 

							$button_link_check = strpos(file_get_contents($page), '<?php header(\'Location:');

							$aliasfile = file_get_contents($menu_alias.$title.'.txt');
							if ( $aliasfile != '' ) {
								$alias_title = "title=\"Menu Alias = '$aliasfile'\"";
								$alias_indicator = "<span class='indicator'>*</span>";
								} else {
								$alias_title = "title=\"No Menu Alias\"";
								$alias_indicator = "";
								}

							$menu_status_file = $menu_status.$title.'.txt';
							$status = @file_get_contents($menu_status_file);
							if ( $status == 'hidden' ) { 
								$hide_page = "<a href='".$_SERVER['PHP_SELF']."?action=unhide&unhidefile=$page' title='Hidden (click to unhide)'><span class='hidden'>Hidden</span></a>"; 
								} else { 
								$hide_page = "<a href='".$_SERVER['PHP_SELF']."?action=hide&hidefile=$page' title='Visible (click to hide)'><span class='visible'>Visible</span></a>"; 
								}

							if (in_array($page, $page_protect)) { // exclude protected pages
								$delete_page = "<span title='No Delete (protected)' class='delete-bw'>No Delete</span>";
								} else {
								$delete_page = "<a href='javascript:confirmDelete(\"".$_SERVER['PHP_SELF']."?action=delete&delfile=$page\")' title='Delete Page'><span class='delete'>Delete Page</span></a>";
								}

							if ($button_link_check !== false) {
								$backup_time = $current_time = '';
								$backup_date = $current_date = '&mdash;';
								} else {
								$basepage_backup = substr($page,0,strpos($page, '.'));
								$contentpage_backup = $rootbackup.$basepage_backup.'.txt';
								$backup_time = gmdate("h:ia", (@filemtime($contentpage_backup)+($gmt_offset*3600)));
								$backup_date = gmdate("d-M-y", (@filemtime($contentpage_backup)+($gmt_offset*3600)));
								$contentpage_current = $root.$basepage_backup.'.txt';
								$current_time = gmdate("h:ia", (filemtime($contentpage_current)+($gmt_offset*3600)));
								$current_date = gmdate("d-M-y", (filemtime($contentpage_current)+($gmt_offset*3600)));
								}

							$title_link = 'href="'."$siteurl$page".'"';
							$www = '';

							if ( file_exists($contentpage_backup) ) {
								if ( filemtime($contentpage_backup) < filemtime($contentpage_current) ) {  
									$bclass = 'backup-old';
									} else {  
									$bclass = 'yes-backup';
									}
								$backup_page = "<a href='javascript:confirmBackup(\"".$_SERVER['PHP_SELF']."?action=backup&backupfile=$page\")' title='Backup Page'><span class='backup'>Backup Page</span></a>";
								$backup_time_status = '<span class="mini">'.filemtime($contentpage_backup).'</span><span class="'.$bclass.'">'.$backup_date.'<br/>'.$backup_time.'</span>';
								$preview_page = "<a href='".$siteurl."page_preview.php?previewfile=$page' target='_blank' title='Preview Backup (new window)'><span class='preview'>Preview Backup</span></a>";
								$restore_page = "<a href='javascript:confirmRestore(\"".$_SERVER['PHP_SELF']."?action=restore&restorefile=$page\")' title='Restore Backup'><span class='restore'>Restore Backup</span></a>";
								} else {
								$backup_page = "<a href='".$_SERVER['PHP_SELF']."?action=backup&backupfile=$page' title='Backup Page'><span class='backup'>Backup Page</span></a>";
								$backup_time_status = '<span class="no-backup">no backup</span>';
								$preview_page = "<span title='No Preview (backup required first)' class='preview-bw'>No Preview</span>";
								$restore_page = "<span title='No Restore (backup required first)' class='restore-bw'>No Restore</span>";
								if ($button_link_check !== false) {
									$backup_page = $backup_time_status = $preview_page = $restore_page = '&mdash;';
									$www = '&nbsp; <span title="External URL (menu button link)" class="ext-link"></span>';
									$url = file_get_contents($rooturl.$page);
									if ($adv_page_manager == '1') {
										$title_link = "href='".$_SERVER['PHP_SELF']."?action=alias&aliasfile=$page'";
										} else {
										$A = do_reg($url, $regex);
										foreach($A as $B) {
											$ext_url = $B;
											}
										$title_link = 'href="javascript:window.alert(\'NOTICE: This is a menu button link to a website / file.\n\nURL: '."$ext_url".'\')"';
										}
									}
								}

							if ( $menu_sort == '0' ) {
								$secret_menu_order = "<td class='x'><span class='mini'>".filemtime($rooturl.$page)."</span></td>\n";
								$menu_order = "<td><a href='".$_SERVER['PHP_SELF']."?action=order&orderfile=$page' title='Move To End'><span class='mini'>".filemtime($rooturl.$page)."</span><span class='order'>Move To End</span></a></td>\n";
								}
			
							if ($adv_page_manager == '1') {
								$list .= "<tr>$secret_menu_order<td class='left'><span class='mini'>$dynamic_title</span><a $title_link $alias_title>$alias_indicator$dynamic_title$www</a></td><td><span class='mini'>".filemtime($contentpage_current)."</span>$current_date<br/>$current_time</td>$menu_order<td>$hide_page</td><td>$backup_page</td><td>$backup_time_status</td><td>$preview_page</td><td>$restore_page</td><td>$delete_page</td></tr>";
								} else {
								$list .= "<tr>$secret_menu_order<td class='left'><span class='mini'>$dynamic_title</span><a $title_link $alias_title>$alias_indicator$dynamic_title$www</a></td><td><span class='mini'>".filemtime($contentpage_current)."</span>$current_date<br/>$current_time</td><td>$backup_page</td><td>$backup_time_status</td><td>$preview_page</td><td>$restore_page</td></tr>";
								}
							}
						} 	
					}
				}

			if ( $menu_sort == '0' ) {
				$secret_menu_order = "<th class='secret'><a title='Click to Sort'></a></th>\n";
				$menu_order_title = "<th><a title='Click to Sort'>Menu Order</a></th>\n";
				}

			if ($adv_page_manager == '1') {
				echo "<div class='pg-center'><table id='page-list' class='tablesorter'><thead><tr>$secret_menu_order<th class='left'><a title='Click to Sort'>Page Title</a></th><th><a title='Click to Sort'>Last Update</a></th>$menu_order_title<th><a title='Click to Sort'>Menu Status</a></th><th><a title='Click to Sort'>Backup</a></th><th><a title='Click to Sort'>Last Backup</a></th><th><a title='Click to Sort'>Preview</a></th><th><a title='Click to Sort'>Restore</a></th><th><a title='Click to Sort'>Delete</a></th></tr></thead><tbody>";
				} else {
				echo "<div class='pg-center'><table id='page-list' class='tablesorter'><thead><tr>$secret_menu_order<th class='left'><a title='Click to Sort'>Page Title</a></th><th><a title='Click to Sort'>Last Update</a></th><th><a title='Click to Sort'>Backup</a></th><th><a title='Click to Sort'>Last Backup</a></th><th><a title='Click to Sort'>Preview?</a></th><th><a title='Click to Sort'>Restore</a></th></tr></thead><tbody>";
				}
// start special functions and hard coding for index.php page to disable menu visibility switch and delete
			$contentpage_backup_index = $rootbackup.'index.txt';
			$backup_time_index = gmdate("h:ia", (@filemtime($rootbackup.'index.txt')+($gmt_offset*3600)));
			$backup_date_index = gmdate("d-M-y", (@filemtime($rootbackup.'index.txt')+($gmt_offset*3600)));
			$current_time_index = gmdate("h:ia", (filemtime($root.'index.txt')+($gmt_offset*3600)));
			$current_date_index = gmdate("d-M-y", (filemtime($root.'index.txt')+($gmt_offset*3600)));

			if ( file_exists($rootbackup.'index.txt') ) {
				if ( filemtime($rootbackup.'index.txt') < filemtime($root.'index.txt') ) {  
					$bclass = 'backup-old';
					} else {  
					$bclass = 'yes-backup';
					}
				$backup_index_page = "<a href='javascript:confirmBackup(\"".$_SERVER['PHP_SELF']."?action=backup&backupfile=index.php\")' title='Backup Page'><span class='backup'>Backup Page</span></a>";
				$backup_time_index_status = '<span class="mini">'.filemtime($rootbackup.'index.txt').'</span><span class="'.$bclass.'">'.$backup_date_index.'<br/>'.$backup_time_index.'</span>';
				$preview_index_page = "<a href='".$siteurl."page_preview.php?previewfile=index.php' target='_blank' title='Preview Backup (new window)'><span class='preview'>Preview Backup</span></a>";
				$restore_index_page = "<a href='javascript:confirmRestore(\"".$_SERVER['PHP_SELF']."?action=restore&restorefile=index.php\")' title='Restore Backup'><span class='restore'>Restore Backup</span></a>";
				} else {
				$backup_index_page = "<a href='".$_SERVER['PHP_SELF']."?action=backup&backupfile=index.php' title='Backup Page'><span class='backup'>Backup Page</span></a>";
				$backup_time_index_status = '<span class="no-backup">no backup</span>';
				$preview_index_page = "<span title='No Preview (backup required first)' class='preview-bw'>No Preview</span>";
				$restore_index_page = "<span title='No Restore (backup required first)' class='restore-bw'>No Restore</span>";
				}

			if ( $menu_sort == '0' ) { 
				$secret_menu_order = "<td class='x'><span class='mini'>0</span></td>\n";
				$menu_order_index = "<td><span title='Always First' class='delete-bw'>0Always First</span></td>\n";
				}

			$adv_home = "<tr>$secret_menu_order<td class='left'><span class='mini'>0</span><a href='$siteurl'>Home</a></td><td><span class='mini'>".filemtime($root.'index.txt')."</span>$current_date_index<br/>$current_time_index</td>$menu_order_index<td><span title='Always Visible' class='visible'>Always Visible</span></td><td>$backup_index_page</td><td>$backup_time_index_status</td><td>$preview_index_page</td><td>$restore_index_page</td><td><span title='No Delete' class='delete-bw'>No Delete</span></td></tr>";
			$bsc_home = "<tr>$secret_menu_order<td class='left'><span class='mini'>0</span><a href='$siteurl'>Home</a></td><td><span class='mini'>".filemtime($root.'index.txt')."</span>$current_date_index<br/>$current_time_index</td><td>$backup_index_page</td><td>$backup_time_index_status</td><td>$preview_index_page</td><td>$restore_index_page</td></tr>";
			if ($adv_page_manager == '1') {
				echo $adv_home;
				} else if ( ($adv_page_manager == '0') && ($ass_user == '0') ) {
				echo $bsc_home;
				} else if ( ($adv_page_manager == '0') && ($ass_user != '0') && (in_array('index.php', $ass_pages)) ) { // hide pages not assigned to user
				echo $bsc_home;
				}
// end special functions and hard coding for index.php page to disable menu visibility switch and delete

			echo $list;
			echo "</tbody></table>";
			break;
			}
?>
		<?php if ($_GET['action'] != 'alias') { ?>
		<br/>
		<div id="pager" class="pager">
			<form>
				<span title="First Page" class="first"></span>
				<span title="Previous Page" class="prev"></span>
				<input type="text" class="pagedisplay"/>
				<span title="Next Page" class="next"></span>
				<span title="Last Page" class="last"></span>
				<select class="pagesize">
					<?php foreach ($pager_increments as $pager_inc) { 
						if ($pager_inc == $pager_default_limit ) {
							echo "<option value=\"$pager_inc\">$pager_inc per page *</option>";
							} else {
							echo "<option value=\"$pager_inc\">$pager_inc per page</option>";
							}
						}
					?>	
					<option value="1000">All pages</option>	
				</select> <span class="last-updated">(* default limit is <?php echo $pager_default_limit;?> per page)</span>
			</form>
			<div class="pm-downloads">
				<form action="fast_edit/download.php" method="POST">
					Download All Pages: <input type="submit" title="Zip and Download" value="" class="zip" />
				</form>
			</div>
		</div>
		</div>
		<?php 	} ?>
	</div>
	<?php 	} ?>
</div></div>
<?php 	} 
} 
?>